blas_top(3)

NAME
blas_top - BLAS

SYNOPSIS

  Topics

Scalar operations
Level 1 BLAS: vector ops
Level 2 BLAS: matrix-vector ops
Level 3 BLAS: matrix-matrix ops

Detailed Description

BLAS are defined by three papers: Basic linear algebra subprograms for {FORTRAN} usage, Lawson et al, 1979. An extended set of {FORTRAN} basic linear algebra subprograms, Dongarra et al, 1988. A set of level 3 basic linear algebra subprograms, Dongarra et al, 1990. Some BLAS-like routines (e.g., csymv, crot, csum1, icmax1) exist in LAPACK rather than the classic BLAS. These were extended by the Extra Precision BLAS (XBLAS, not documented here) https://www.netlib.org/xblas/

Author

Generated automatically by Doxygen for LAPACK from the source code.